![Madis](images/Madis-Logo.png)

# Madis

Madis est une application web OpenSource conçue par [Soluris](https://www.soluris.fr/) pour accompagner les structures à la mise en œuvre de leur conformité au RGPD.

Cette notice pourra évoluer en fonction des évolutions réglementaires, du logiciel et des besoins des structures.

## Se connecter à Madis

Madis est accessible depuis les navigateurs récents connectés à internet et sur la plupart des systèmes d'exploitation. L'interface est responsive et peut être consultée depuis tout client mobile tactile (préférer une tablette pour un confort d'affichage).

Pour vous connecter, vous devez avoir un compte (le login est votre adresse email). Si vous n'en avez pas, demandez sa création à votre Délégué à la Protection des Données (DPD).

![Page de connexion](images/Madis-Connexion.png)

Si vous ne disposez pas ou ne connaissez pas votre mot de passe, il est possible de le régénérer en passant par « **Mot de passe oublié ?** ».

Par défaut, les règles de sécurité du mot de passe sont les suivantes :
* 14 caractères ;
* Au moins une lettre majuscule et minuscule ;
* Au moins un chiffre et un caractère spécial.

La case à cocher « **Se souvenir de moi** » permet de mémoriser la session dans le navigateur.

## Tableau de bord

Le tableau de bord permet de visualiser en un coup d’œil l’état d’avancement de votre mise en conformité.

![Tableau de bord](images/Madis-Tableau-De-Bord-Utilisateur.png)

Vous retrouvez les éléments suivants :
* Les sous-traitants conformes et non conformes ;
* Les demandes à traiter et celles traitées ;
* Des statistiques et accès rapide des 4 modules de registres figurants également dans le menu ;
* Les deux derniers indices de maturité sous forme de radar. Vous pouvez visualiser qu'un seul radar en cliquant sur la date de l'indice de maturité à masquer ;
* Le graphique synthétisant les mesures de sécurité conformes et non conformes sur les traitements informatisés ;
* La liste des prochaines actions planifiées dans le plan d'action
* D'autres indicateurs peuvent être affichés si les modules sont activés (Conformité des traitements, AIPD à réaliser...).

Les légendes et le détail des contenus sont affichés au survol de la souris.

## Navigation générale

Il est possible de naviguer dans les différentes pages :
* Le menu « **Tableau de bord** » permet de piloter votre niveau de conformité ;
* Le menu « **Traitements** » permet de consulter la liste des traitements et d'en ajouter ;
* Le menu « **Sous-traitants** » permet de consulter la liste des sous-traitants et d'en ajouter ;
* Le menu « **Demandes** » permet de consulter la liste des demandes et d'en ajouter ;
* Le menu « **Violations** » permet de consulter la liste des violations et d'en ajouter ;
* Le menu « **Documents** » permet de consulter la liste des preuves (Contrat d’accompagnement, attestations de présences, politique de gestion des données...) et d'en ajouter ;
* Le menu « **Actions de protection** » permet de recenser l’ensemble des actions de protection mises en place dans la structure et d'en ajouter ;
* Le menu « **Plan d'actions** » permet de recenser l’ensemble des mesures planifiées ;
* Le menu « **Indice de maturité** » permet de consulter l’évolution de la mise en conformité ;
* Le menu « **Générer un bilan** » permet de générer le bilan synthétisant l'ensemble des éléments renseignés dans Madis au format Word ;
* Le menu « **Espace documentaire** » permet de consulter toutes les ressources mises à disposition par le DPD ;
* Le menu « **Ma collectivité** » permet de modifier les informations de la structure ;
* Le menu « **Mon compte** » permet de modifier les informations du compte (prénom, nom, email, mot de passe). **L'adresse mail renseignée ne doit pas déjà avoir été utilisée par un autre compte**.

![Menu Madis](images/Madis-Navigation-Menu-Desktop.png)

Dans le bandeau d'en-tête, le bouton « **☰** » permet d'agrandir ou de réduire le bandeau du menu.

![Menu réduit](images/Madis-Navigation-Menu.png)

Dans le bandeau d'en-tête, le nom d'utilisateur et le rôle permettent de se déconnecter.

![Accès à la déconnexion](images/Madis-Navigation-Profil-Deconnexion.png)

Lorsqu'un élément est archivé ou inactif, il n'est plus visible dans la liste principale. Un bouton permet d'afficher les éléments archivés ou inactifs, un autre permet de revenir sur la liste des éléments actifs ou non archivés. Voici un exemple avec les traitements : 

![Bouton pour voir les traitements actifs](images/Madis-Navigation-Traitements-Actifs.png) ![Bouton pour voir les traitements inactifs](images/Madis-Navigation-Traitements-Inactifs.png)

Le bouton « **Colonnes** » permet de choisir les colonnes souhaitées dans l'affichage. Cette information est ensuite mémorisée dans le navigateur.

![Filtrer les colonnes](images/Madis-Navigation-Filtrer-Les-Colonnes.png)

Le bouton « **Exporter** » permet d'extraire dans un fichier Excel, la liste des éléments filtrés dans l'affichage.

![Exporter](images/Madis-Navigation-Exporter.png)

Les en-têtes de colonnes permettent de filtrer les résultats affichés dans la liste.

![En-tête de colonnes](images/Madis-Navigation-Entete-De-Colonnes.png)

Le bouton « **Réinitialiser les filtres** » permet de remettre à l'origine les filtres des en-têtes de colonnes (affichage de tous les résultats).

![Réinitialiser les filtres](images/Madis-Navigation-Reinitialiser-Les-Filtres.png)

D'une manière générale dans Madis, lorsque le nombre d'éléments à afficher est trop important, il est possible de naviguer entre les pages à l'aide des boutons de pagination situés à la suite d'un tableau.

![Pagination](images/Madis-Navigation-Pagination.png)

Dans les formulaires, les champs précédés d’un astérisque « * » sont obligatoires.

## Paramétrage : Ma collectivité

Le menu « **Ma collectivité** » permet de modifier les informations de la structure. Cependant, il n'est pas possible de modifier les informations générales et l’adresse. En cas de rectification souhaitée, merci d'en faire la demande auprès de votre Délégué à la Protection des Données (DPD).

![Visualiser une structure](images/Madis-Visualiser-Une-Structure.png)

Il est possible de modifier les différents acteurs pour la mise en conformité (référent opérationnel, responsable de traitement, responsable informatique). Ces informations seront reprises dans le bilan.

* **Référent opérationnel** : personne qui tient à jour les registres.
* **Référent informatique** : personne qui garantit l'organisation, le suivi ainsi que la gestion du système informatique.
* **Responsable de traitement** : personne responsable de la structure qui détermine les moyens et finalités d’un traitement.

Par défaut, les coordonnées du DPD sont celles du DPD mutualisé. Dans le cas où un DPD est désigné en interne, il faut cocher la case « **Différent du DPD moral** » et compléter ses coordonnées.

![Différent du DPD moral](images/Madis-Different-Du-DPD-Moral.png)

Les éléments « **Bilan paragraphe "Engagement de la direction"** » et « **Bilan paragraphe "Principe d'amélioration continue"** » permettent de personnaliser les paragraphes générés dans le bilan. Si ces champs sont laissés vides, des informations standards seront automatiquement renseignées dans le bilan.

L'élément « **Composition du comité Informatique et Libertés** » permet d'ajouter des membres qui seront repris dans le bilan.
Par défaut, seuls le responsable de traitement et le référent opérationnel sont dans ce comité. Si un Responsable Informatique ou un DPD ont été définis, ils seront automatiquement ajoutés dans le bilan.

L'élément « **Liste des utilisateurs** » permet de prendre connaissance des comptes utilisateurs de la structure. Il est important d'identifier et d'alerter son DPD si des comptes sont à désactiver.

## Paramétrage : Mon compte

Le menu « **Mon compte** » permet de modifier les informations du compte (prénom, nom, email, mot de passe) ainsi que d'afficher les droits. **L'adresse mail renseignée ne doit pas déjà avoir été utilisée par un autre compte**.

![Mon profil](images/Madis-Mon-Profil.png)

# Les registres

## Le registre des traitements

Le menu « **Traitements** » permet de consulter la liste des traitements et d'en ajouter. Le registre des traitements recense l’ensemble des traitements de données à caractère personnel de la structure.

![Liste des traitements](images/Madis-Liste-Des-Traitements.png)

Il est possible d'effectuer plusieurs actions : 

- « **+ Nouveau traitement** » permet d'ajouter un nouveau traitement ;
- « **Générer une impression** » permet de générer le registre des traitements au format Word ;
- « **Voir les traitements inactifs** » permet d'accéder aux traitements inactifs. Un traitement inactif n'apparaît pas dans le registre des traitements ni dans le bilan ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Modifier** » permet de modifier les informations d'un traitement ;
- « **Supprimer** » permet de supprimer définitivement le traitement. **Cette action est irréversible**.

Des cases à cocher permettent de réaliser des actions en masse sur les éléments sélectionnés :

- « **Désactiver** » permet de rendre les traitements sélectionnés inactifs. Un traitement inactif n'apparaît pas dans le registre des traitements ni dans le bilan ;
- « **Supprimer** » permet de supprimer les traitements sélectionnés. **Cette action est irréversible** ;
- « **Imprimer** » permet de générer les traitements sélectionnés au format PDF.

``Astuce : Il est possible de visualiser les informations d'un traitement en cliquant sur son nom. Lors de la consultation de celui-ci, un bouton d'action « Imprimer » permet d'imprimer les informations du traitement au format PDF.``

### Nouveau traitement

« **+ Nouveau traitement** » permet d'ajouter un nouveau traitement.

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

![Ajouter un traitement](images/Madis-Ajouter-Un-Traitement.png)

``Astuce : Dans la gestion des demandes, des violations et des actions de protection, il est possible de les lier à un traitement.``

#### Informations générales

Dans les informations générales, il est possible de renseigner les éléments suivants :

* **Nom** : Intitulé du traitement ;
* **Finalités** : Précise l'objectif du traitement et ses fonctions. Par exemple, pour une activité de formation des personnels, il peut être renseigné : « Suivi des demandes et des périodes de formations effectuées, organisation des sessions et évaluation des connaissances » ;
* **En tant que** : Précise si le traitement est effectué en tant que **responsable de traitement**, en tant que **sous-traitant** ou lorsque la **responsabilité est conjointe**. Selon le choix, il est possible de renseigner ses coordonnées ;
* **Gestionnaire** : Personne(s) ou service qui gère le traitement. Peut-être différent du responsable de traitement ou du référent opérationnel ;
* **Statut** : Le statut actif est coché par défaut. Un traitement inactif n'apparaît pas dans le registre des traitements ni dans le bilan ;
* **Base légale** : Liste des bases légales énumérées dans le RGPD. Il est possible de positionner la base légale sur « **À déterminer** » si la base légale n'est pas connue au moment de la création du traitement ;
* **Justification de la base légale** : Toute base légale doit être justifiée grâce à des références de texte réglementaire (Exemple CGCT). Par exemple, pour le consentement, il faut avoir l'accord écrit de la personne concernée. Il est également possible d'indiquer le texte réglementaire permettant de justifier le choix du délai de conservation ;
* **Observations** : Toute précision complémentaire sur la tenue de ce traitement ;
* **Préconisations DPO** : Champ affiché uniquement aux DPD permettant de préciser toute préconisation à destination de la structure. Si ce champ est renseigné, une zone de préconisation DPD apparaîtra lors de la visualisation d'un traitement ;
* **Registre public** : Rend visible le traitement dans une page non authentifiée à destination du grand public. Les champs affichés sont ceux [paramétrés par le DPD](#Registre-Public).

Ci-après un exemple d’informations générales pré-rempli :

![Visualiser les informations générales d'un traitement](images/Madis-Visualiser-Un-Traitement.png)

#### Catégories de données

Dans les catégories de données, il est possible de renseigner les éléments suivants :

* **Les catégories de données** : Précise toutes les catégories de données concernées par le traitement. Les données sensibles sont précisées en gras dans la liste :
	- Santé ;
	- Numéro de Sécurité Sociale ;
	- Appartenance Syndicale ;
	- Opinion politique ou religieuse ;
	- Origine raciale ou ethnique ;
	- Vie sexuelle ;
* **Autres catégories** : Champ de texte libre pour préciser toute catégorie de donnée supplémentaire.

#### Destination

Dans la destination, il est possible de renseigner les éléments suivants :

* **Catégorie de destinataires** : Précise les destinataires des données à caractère personnel (service, organisation extérieure, partenaires, ...) ;
* **Sous-traitants** : Liste des sous-traitants identifiés dans le registre des sous-traitants.

```Astuce : Recenser un sous-traitant avant un traitement permet de le rattacher directement au moment de la création du traitement.```

#### Traitement spécifique

Un ou plusieurs traitements spécifiques vont peut-être conditionner une analyse d’impact, notamment s‘ils sont croisés avec des données sensibles. Il est possible de renseigner les éléments suivants :
* **Surveillance systématique de personnes** : Par exemple, télésurveillance... ;
* **Collecte à large échelle** : Vise à traiter un volume considérable de données à caractère personnel, par exemple au niveau régional... ;
* **Personnes vulnérables** : Personnes âgées, enfant de moins de 15 ans, personne en situation de handicap, patients, employés... ;
* **Croisement de données** : Croisement ou combinaison d’ensemble de données ;
* **Évaluation ou notation** : Possibilité d'utiliser des données pour évaluer, noter, prédire ou établir le profil d'une personne sur des aspects concernant le rendement au travail, la santé, la situation économique, les préférences, le comportement... ;
* **Décisions automatisées avec effet** : Décision automatique sans supervision humaine pouvant par exemple, exclure ou discriminer une personne d'un droit ;
* **Exclusion automatique d'un service** : Décision automatique sans supervision humaine excluant à l'accès à un service ou à un contrat ;
* **Usage innovant** : Les conséquences de l'utilisation de cette nouvelle technologie ne sont pas toutes connues et peuvent à l'avenir devenir une nouvelle source de collecte de données personnelles pouvant porter atteinte aux droits et libertés individuelles.

#### Détails

Dans les détails, il est possible de renseigner les éléments suivants :

* **Personnes concernées** : Type de personnes concernées par le traitement. Il est possible de cocher la case correspondante et de préciser les informations par le champ de texte précédant ;
* **Nombre de concernés** : Nombre approximatif de personnes concernées par le traitement. Cette information est utile en cas de violations de données personnelles ;
* **Logiciel** : Si le traitement est informatisé, précise le nom du logiciel utilisé (Word, Excel, ...). Si le traitement est exclusivement papier, laisser ce champ vide ;
* **Délai de conservation** : Le délai de conservation indiqué est le délai réel mis en œuvre par la structure. Si le délai est calculé, préciser les critères utilisés pour déterminer le délai de conservation (Exemple : 3 ans à compter de la fin de la relation contractuelle) ;
* **Sort final** : Sort final appliqué à l'issue du traitement ;
* **Origine des données** : Données provenant d'un tiers (CAF, Société, ...) ou de la personne concernée directement ;
* **Moyens de la collecte** : Moyen utilisé pour collecter les données à caractère personnel.

#### Mesures de sécurité et confidentialités

Les mesures de sécurité sont propres à chaque traitement concerné, il est possible de renseigner les éléments suivants :

* **Contrôle d'accès** : Par exemple, accès via un identifiant/mot de passe ou une certification, une gestion des habilitations, un badge... ;
* **Traçabilité** : Par exemple, journalisation des accès utilisateurs, données enregistrées (identifiant, date et heure de connexion, actions)... ;
* **Sauvegarde** : Type de sauvegarde (support, interne/externe, fréquence, ...) ;
* **Mise à jour** : Par exemple, configuration des mises à jour automatique, contrat de mise à jour... ;
* **Autres** : Précise toute autre mesure à documenter. Les quatre mesures précédentes concernent principalement les traitements informatisés, il est possible d'utiliser ce champ pour la protection des traitements papier. Par exemple, documents stockés dans un coffre-fort, armoire ignifugée fermant à clé... ;

Les éléments suivants doivent être cochés :
* S'il est possible de ressortir à tout moment les personnes habilitées ayant un accès aux données à caractère personnel ;
* Si la personne et/ou la procédure permettant d’ouvrir des comptes sont clairement identifiées ;
* Si les personnes pouvant avoir accès aux données ont été sensibilisées à la protection des données. Il peut également arriver que le traitement nécessite une sensibilisation spécifique.

## Le registre des sous-traitants

Le menu « **Sous-traitants** » permet de consulter la liste des sous-traitants et d'en ajouter. Le registre des traitements recense l’ensemble des sous-traitants de la structure et permet d’effectuer le suivi de leur conformité au RGPD (clauses contractuelles vérifiées, conforme au RGPD).

Un sous-traitant est un prestataire de services qui traite des données à caractère personnel pour le compte, sur l'instruction et sous l’autorité de la structure en tant que responsable de traitement.

![Liste des sous-traitants](images/Madis-Liste-Des-Sous-Traitants.png)

Il est possible d'effectuer plusieurs actions : 

- « **+ Nouveau sous-traitant** » permet d'ajouter un nouveau sous-traitant ;
- « **Générer une impression** » permet de générer le registre des sous-traitants au format Word ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Modifier** » permet de modifier les informations d'un traitement ;
- « **Supprimer** » permet de supprimer définitivement le traitement. **Cette action est irréversible**.

``Astuce : Il est possible de visualiser les informations d'un sous-traitant en cliquant sur son nom. Lors de la consultation de celui-ci, un bouton d'action « Imprimer » permet d'imprimer les informations du sous-traitant au format PDF.``

### Nouveau sous-traitant

« **+ Nouveau sous-traitant** » permet d'ajouter un nouveau sous-traitant.

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

![Ajouter un sous-traitant](images/Madis-Ajouter-Un-Sous-Traitant.png)

``Astuce : Recenser un sous-traitant avant un traitement permet de le rattacher directement au moment de la création du traitement.``

#### Informations générales

Dans les informations générales, il est possible de renseigner les éléments suivants :

* **Nom** : Intitulé du sous-traitant ;
* **Agent référent** : Personne en charge de gérer les relations avec ce sous-traitant ;
* **Clauses contractuelles vérifiées** : Les clauses contractuelles de ce contrat ont été vérifiées et sont conformes au RGPD ;
* **A adopté les éléments de sécurité nécessaires** : Suite à une demande ou à une vérification, le sous-traitant a adopté les mesures de sécurité jugés suffisantes ;
* **Tient à jour un registre des traitements** : Le registre de traitement du sous-traitant a été communiqué et est tenu à jour ;
* **Envoi des données hors UE** : Les données sont envoyées en dehors de l'Union Européenne.

#### DPD

Dans le cas où le sous-traitant a désigné un DPD, il faut cocher la case « **Le sous-traitant a désigné un DPD** » et compléter ses coordonnées.

#### Coordonnées

Dans les coordonnées, il est possible de renseigner les éléments suivants :

* **Prénom** ;
* **Nom** ;
* **Adresse** ;
* **Compl. adresse** ;
* **Code postal** ;
* **Ville** ;
* **Email** ;
* **N° de tel**.

## Le registre des demandes

Le menu « **Demandes** » permet de consulter la liste des demandes et d'en ajouter. Chaque nouvelle demande d'exercice de droit de personne concernée basé sur le RGPD (droit d’accès, d’opposition, ...) doivent être enregistré dans ce registre.

``Rappel : La gestion des demandes des personnes concernées est un traitement de données personnelles qui doit être mentionné dans le registre de traitements.``

![Liste des demandes](images/Madis-Liste-Des-Demandes.png)

Il est possible d'effectuer plusieurs actions :

- « **+ Nouvelle demande** » permet d'ajouter une nouvelle demande ;
- « **Générer une impression** » permet de générer le registre des demandes au format Word ;
- « **Voir les traitements archivés** » permet d'accéder aux demandes archivées. Une demande archivée n'apparaît pas dans le registre des demandes ni dans le bilan ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Modifier** » permet de modifier les informations d'une demande ;
- « **Archiver** » permet d'archiver une demande. Une demande archivée n'apparaît pas dans le registre des demandes ni dans le bilan.

``Astuce : Il est possible de visualiser les informations d'une demande en cliquant sur le nom de la personne concernée. Lors de la consultation de celle-ci, un bouton d'action « Imprimer » permet d'imprimer les informations de la demande au format PDF.``

### Nouvelle demande

« **+ Nouvelle demande** » permet d'ajouter une nouvelle demande.

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

![Ajouter une demande](images/Madis-Ajouter-Une-Demande.png)

#### Demande

Dans la demande, il est possible de renseigner les éléments suivants :

* **Objet de la demande** : Type de demande formulée ;
* **Demande explicite** : Précise les éléments manquants ;
* **Date de la demande** : Date de la réception de la demande  ;
* **Motif** : Objet de la demande ;
* **Demande complète** : Le formulaire de demande est correctement rempli et accompagné des justificatifs ;
* **Demandeur légitime** : La personne concernée est la personne qui fait la demande ou est le tuteur dûment habilité à faire la demande, ou possède un mandat de la personne concernée ;
* **Demande légitime** : La demande repose sur une base légale pertinente et proportionnée.

#### Réponse

Lorsque la réponse est délivrée au demandeur, il est possible de renseigner les éléments suivants :

* **État de la demande** : Statut de la demande ;
* **Réponse apportée** : Message apporté au demandeur ;
* **Date de la réponse** : Date d'envoi de la réponse ;
* **Moyen de la réponse** : Méthode utilisée pour répondre au demandeur (mail, courrier postal, remis en main propre).

**Rappel : La réponse doit être délivrée dans un délai maximum d'un mois ([Art. 12 du RGPD](https://www.cnil.fr/fr/reglement-europeen-protection-donnees/chapitre3#Article12)).**

#### Demandeur

Dans le demandeur, il est possible de renseigner les éléments suivants :

* **Civilité** ;
* **Prénom** ;
* **Nom** ;
* **Adresse** ;
* **Email** ;
* **N° de téléphone** ;

Par défaut, la case « **Est la personne concernée** » est cochée, cependant, dans le cas où le demandeur est différent de la personne concernée, il faut la décocher et compléter les coordonnées de l'élément « [**Personne concernée**](#Personne-concernée) ».

#### Personne concernée

Dans le cas où le demandeur serait différent de la personne concernée, il faut décocher la case « **Est la personne concernée** » présente dans l'élément « [**Demandeur**](#Demandeur) » et compléter ses coordonnées.

#### Traitements associés

Il est possibilité d'associer une demande à un ou plusieurs traitements.

## Les registres de violations

Le menu « **Violations** » permet de consulter la liste des violations et d'en ajouter. Le registre des violations recense l’ensemble des violations de la structure.

Une violation de données est un incident de sécurité, d’origine malveillante ou non, intentionnel ou non, et qui risque de compromettre l’intégrité, la confidentialité ou la disponibilité de données personnelles.

![Liste des violations](images/Madis-Liste-Des-Violations.png)

Il est possible d'effectuer plusieurs actions :

- « **+ Nouvelle violation** » permet d'ajouter une nouvelle violation ;
- « **Générer une impression** » permet de générer le registre des violations au format Word ;
- « **Voir les violations archivées** » permet d'accéder aux violations archivées. Une violation archivée n'apparaît pas dans le registre des violations ni dans le bilan ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Modifier** » permet de modifier les informations d'une violation ;
- « **Archiver** » permet d'archiver une violation. Une violation archivée n'apparaît pas dans le registre des violations ni dans le bilan.

``Astuce : Il est possible de visualiser les informations d'une violation en cliquant sur la date de violation. Lors de la consultation de celle-ci, un bouton d'action « Imprimer » permet d'imprimer les informations de la violation au format PDF.``

### Nouvelle violation

« **+ Nouvelle violation** » permet d'ajouter une nouvelle violation.

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

![Ajouter une violation](images/Madis-Ajouter-Une-Violation.png)

#### Informations générales

Dans les informations générales, il est possible de renseigner les éléments suivants :

* **Date de la violation** : Date de la constatation de la violation. Par défaut, elle se mettra sur la date à laquelle la violation est ajoutée ;
* **La violation est toujours en cours** : Précise si la violation est toujours en cours. Lorsque la violation sera terminée, cette case devra être décochée ;
* **Nature de la violation** : Type de violation de DIC (Disponibilité ; Intégrité ; Confidentialité) ;
* **Origine de la perte de données** ;
* **Cause de la violation** ;
* **Nature des données concernées** ;
* **Catégorie des personnes concernées** ;
* **Nombre approximatif d'enregistrements concernés par la violation** ;
* **Nombre approximatif de personnes concernées par la violation**.

#### Conséquences de la violation

Dans les conséquences de la violation, il est possible de renseigner les éléments suivants :

* **Nature des impacts potentiels pour les personnes** ;
* **Niveau de gravité** ;
* **Communications aux personnes concernées** ;
* **Précisions sur les communications** : Précise les éléments de communication employés pour prévenir les personnes concernées ;
* **Mesures techniques et organisationnelles appliquées suite à la violation** ;
* **Notification** ;
* **Précisions sur les notifications** ;
* **Commentaire** : Toute précision complémentaire sur les conséquences de la violation.

**Rappel : En cas de risque pour les personnes concernées, une notification à la CNIL doit être faite dans les 72 heures en plus de l'enregistrement en interne. De plus, en cas de risque élevé, les personnes concernées devront également être notifiées ([Art. 33 du RGPD](https://www.cnil.fr/fr/reglement-europeen-protection-donnees/chapitre4#Article33)).**

#### Traitements associés

Il est possibilité d'associer une violation à un ou plusieurs traitements.

# Gestion de la preuve

Le menu « **Documents** » permet de consulter la liste des preuves et d'en ajouter. Cette liste recense l’ensemble des actions mises en place ou à mettre en place.

Afin de prouver la conformité de la structure, un dossier documentaire doit être constitué pour permettre de démontrer que le traitement des données personnelles est conforme au règlement (Contrat d’accompagnement à la délégation à la protection des données, attestations de présences, politique de gestion des données...).

![Liste des preuves](images/Madis-Liste-Des-Preuves.png)

Il est possible d'effectuer plusieurs actions :

- « **+ Ajouter une preuve** » permet d'ajouter une nouvelle preuve ;
- « **Voir les preuves archivées** » permet d'accéder aux preuves archivées. Une preuve archivée n'apparaît pas dans le téléchargement de tous les documents ni dans le bilan ;
- « **Télécharger tous les documents** » permet de télécharger dans un dossier ZIP, tous les documents déposés comme preuve ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Télécharger** » permet de télécharger le document déposé comme preuve ;
- « **Modifier** » permet de modifier les informations d'une preuve ;
- « **Supprimer** » permet de supprimer définitivement la preuve. **Cette action est irréversible**.

## Nouvelle preuve

« **+ Ajouter une preuve** » permet d'ajouter une nouvelle preuve.

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

![Ajouter une preuve](images/Madis-Ajouter-Une-Preuve.png)

### Informations générales

Dans les informations générales, il est possible de renseigner les éléments suivants :

* **Nom** : Intitulé de la preuve ;
* **Type** : Type de preuve ;
* **Commentaire** : Toute précision complémentaire sur la preuve.

### Document

Un seul fichier peut être déposé à la fois, d'une taille maximale définie dans l'administration et tous les formats de fichiers sont autorisés.

### Association

Il est possible d'associer la preuve à un ou plusieurs éléments du registre des traitements, des sous-traitants, des demandes, des violations, ainsi qu'à des actions de protections.

# Les actions de protection

Le menu « **Actions de protection** » permet de consulter la liste des actions de protection et d'en ajouter. Cette liste recense l’ensemble des actions mises en place ou à mettre en place.

Les actions de protection sont des mesures (techniques, organisationnelles, juridiques, ...) mises en place ou à mettre en place dans la structure.

![Liste des actions de protection](images/Madis-Liste-Des-Actions-De-Protection.png)

Il est possible d'effectuer plusieurs actions :

- « **+ Nouvelle action** » permet d'ajouter une nouvelle action ;
- « **Générer une impression** » permet de générer le registre des actions de protection au format Word ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Modifier** » permet de modifier les informations d'une action de protection ;
- « **Supprimer** » permet de supprimer définitivement l'action de protection. **Cette action est irréversible**.

``Astuce : Il est possible de visualiser les informations d'une action de protection en cliquant sur son nom. Lors de la consultation de celle-ci, un bouton d'action « Imprimer » permet d'imprimer les informations de l'action au format PDF.``

## Nouvelle action de protection

« **+ Nouvelle action** » permet d'ajouter une nouvelle action de protection.

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

![Ajouter une action de protection](images/Madis-Ajouter-Une-Action-De-Protection.png)

### Informations générales

Dans les informations générales, il est possible de renseigner les éléments suivants :

* **Nom** : Intitulé de l'action de protection ;
* **Description** : Description brève permettant de comprendre l'action. *Penser que cette liste d'actions servira également pour les prédécesseurs* ;
* **Responsable d'action** : Personne(s) ou service chargé de faire en sorte que l'action soit mise en place ;
* **Priorité** : Possibilité de prioriser certaines actions avec trois niveaux de priorité (Basse, Normale et Haute) ;
* **Coût** : Montant estimé pour réaliser l'action. Peut être nul, ou peut demander un arbitrage ou une planification plus longue ;
* **Charge** : Temps passé pour effectuer l’action.

### Application

Dans l'application, il est possible de renseigner les éléments suivants :

* **Statut** : Statut de l'action de protection. Une fois l'action entièrement réalisée, il faudra passer le statut de « **Non appliquée** » à « **Appliquée** » ;
* **Planification** : Date prévisionnelle de l'action pour la planifier. Si le statut de l'action de protection est « **Non appliquée** » et qu'elle est planifiée, elle apparaîtra alors dans le [plan d'actions](#Plan-d’actions) ;
* **Observations** : Toute précision complémentaire sur la planification de l'action.

### Éléments liés

Il est possibilité d'associer une action de protection à un ou plusieurs éléments du registre des traitements, des sous-traitants, des demandes ou des violations.

# Plan d’actions

Le menu « **Plan d'actions** » permet de consulter la liste des actions de protection planifiées. Le plan d’actions recense l’ensemble des mesures planifiées permettant de budgétiser et d'évaluer les charges en jour/homme.

Un plan d'actions reflète les décisions prises dans le but d’améliorer la mise en conformité au RGPD. Pour aiguiller dans l’élaboration de celui-ci, il est possible de s'appuyer sur les thèmes prioritaires mis en exergue suite à la réalisation de l'[indice de maturité](#Indice-de-maturité) de la structure.

![Plan d'actions](images/Madis-Plan-D-Actions.png)

Il est possible d'effectuer plusieurs actions :

- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Voir l'action de protection** » permet de visualiser les informations d'une action de protection.

``Astuce : Il est possible de trier les actions par date/coût/charge...``

Pour ajouter une action au plan d'actions, il faut aller dans la [liste des actions de protection](#Les-actions-de-protection) et passer le statut de l'action en question en « **Non appliquée** » et renseigner une date prévisionnelle.

# Indice de maturité

Le menu « **Indice de maturité** » permet de consulter la liste des indices de maturité et d'en ajouter. Cette liste recense la progression du niveau de maturité de la structure.

L’indice de maturité est une suite de 42 questions, classées par thématiques permettant de suivre l’évolution de la mise en conformité de la structure. Outil d’aide à la décision, il permet ainsi de mettre en exergue les thèmes prioritaires à développer. Il est le repère indispensable pour aiguiller dans l’élaboration du [plan d'actions](#Plan-d’actions).

![Liste des indices de maturité](images/Madis-Liste-Des-Indices-De-Maturite.png)

Il est possible d'effectuer plusieurs actions :

- « **+ Nouvel indice de maturité** » permet d'ajouter un nouvel indice de maturité ;
- « **Imprimer** » permet de générer un indice de maturité au format Word ;
- « **Modifier** » permet de modifier les informations d'un indice de maturité ;
- « **Supprimer** » permet de supprimer définitivement l'indice de maturité. **Cette action est irréversible**.

## Nouvel indice de maturité

« **+ Nouvel indice de maturité** » permet d'ajouter un nouvel indice de maturité. 

À chaque nouvel indice, l‘ensemble des 42 questions doit être répondu.

Il est possible de répondre par l'une des réponses suivantes :

- **Non / Je ne sais pas** : L'élément n'est pas réalisé ou la réponse n'est pas certaine ;
- « **En partie** » ;
- « **Oui / Complètement** ».

*Critères de l'indice de maturité : Technique ; Vie privée ; Violation de données ; Organisation ; Juridique ; Sensibilisation Formation.*
![Ajouter un indice de maturité](images/Madis-Ajouter-Un-Indice-De-Maturite.png)

Lorsqu'un nouvel indice de maturité est réalisé, il est possible de consulter le résultat sur le tableau de bord ainsi que dans le bilan. Celui-ci comprend le résultat du nouvel indice ainsi que l’indice précédent.

![Graphique de l'indice de maturité](images/Madis-Graphique-Indice-De-Maturite.png)

# Générer un bilan

Le menu « **Générer un bilan** » permet de générer le bilan de la structure au format Word.

Le bilan doit être généré au minimum une fois par an. Ce dernier synthétise l’ensemble des éléments renseignés dans Madis, du recensement des traitements, aux actions de protection en place et à planifier...

**Le bilan généré doit être déposé dans les [preuves](#Gestion-de-la-preuve).**

![Générer un bilan](images/Madis-Generer-Un-Bilan.png)

Le fichier du bilan est généré sous Word afin que vous puissiez ajouter vos logos et le personnaliser.

``Astuce : Le bilan étant généré au format Word, il est possible de le personnaliser et d'y ajouter le logo de la structure.``

# Espace documentaire

Le menu « **Espace documentaire** » permet de consulter la liste des documents mis à disposition par le DPD.

![Espace documentaire](images/Madis-Espace-Documentaire-Grille.png)

Il est possible d'effectuer plusieurs actions :

- « **Afficher en liste** » ou « **Afficher en grille** » permettent d'afficher les documents sous forme de liste ou sous forme de grille ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel. Cette action n'est disponible que lorsque l'affichage est sous forme de liste.

Il est possible de filtrer les documents affichés, notamment par catégorie. Lorsque plusieurs catégories sont sélectionnées, seuls les documents appartenant à toutes ces catégories sont affichés.

``Astuce : Il est possible de mettre des fichiers en favoris en cliquant sur l'étoile.``

Dans chaque module, un bouton « **Ressources utiles** » permet d'accéder aux documents déposés dans l'espace documentaire lié à la catégorie de ce module. **Le bouton n'est visible que si au moins un document a été déposé dans cette catégorie par le DPD.**

![Bouton ressources utiles dans la liste des demandes](images/Madis-Liste-Des-Demandes-Bouton-Ressources-Utiles.png)

# Module conformité des traitements

Ce module permet, par itération successive, de faire tendre les traitements vers leur conformité complète. L'évaluation d'un traitement doit être réalisée régulièrement, tout au long de l'année, pour gérer l'avancé de la mise en conformité des traitements au RGPD.

Le module conformité des traitements est optionnel et peut être activé dans une structure par le DPD (compte administrateur). Consulter l'[activation du module conformité des traitements](#Activation-du-module-conformité-des-traitements) pour plus d'information.

L'activation du module ajoute l'élément « **Conformité des traitements** » dans le menu ainsi que l'indicateur sur le tableau de bord de la structure de la proportion de conformité des traitements.

![Graphique de la conformité des traitements](images/Madis-Graphique-Conformite-Des-Traitements.png)

De plus, l'activation du module ajoute l'élément « **Évaluation de la conformité du traitement** » dans la visualisation d'un traitement. « **Évaluer** » permet de procéder à l'évaluation du traitement.

![Évaluation de la conformité du traitement dans la visualisation du traitement](images/Madis-Visualiser-Un-Traitement-Conformite-Du-Traitement.png)

Enfin, l'activation du module activera le module AIPD. Consulter le [module AIPD](#Module-AIPD) pour plus d'information.

## Conformité des traitements

Le menu « **Conformité des traitements** » permet de consulter la conformité des traitements et de les évaluer.

![Liste de conformité des traitements](images/Madis-Liste-De-Conformite-Des-Traitements.png)

Il est possible d'effectuer plusieurs actions :

- « **Générer une impression** » permet de générer le diagnostic de la conformité des traitements au format Word ;
- « **Évaluer** » permet de procéder à l'évaluation du traitement ;
- « **Réaliser une AIPD** » ou « **Modifier l'AIPD** » permet de réaliser ou de modifier l’[instruction d’une AIPD](#Instruction-d’un-dossier-d’AIPD) pour le traitement.

Un traitement évalué peut être :

* **Conforme** : Tous les critères sont marqués comme conforme. Le traitement répond donc à l'obligation réglementaire ;
* **Non-conforme mineure** : Un ou plusieurs critères sont marqués comme non conforme, mais au moins une action de protection planifiée a été affectée ;
* **Non-conforme majeure** : Un ou plusieurs critères sont marqués comme non conforme et aucune action de protection planifiée n'a été affectée.

Une barre de progression affiche l'étendue de la conformité des critères.

![Conformité des questions](images/Madis-Liste-De-Conformite-Des-Traitements-Conformite-Des-Questions.png)

### Nouvelle évaluation

« **Évaluer** » permet de procéder à l'évaluation du traitement.

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

![Évaluation du traitement](images/Madis-Evaluation-Du-Traitement.png)

#### Évaluation du traitement

Dans l'évaluation du traitement, il est possible d'évaluer la conformité du traitement selon les 15 principes fondamentaux du RGPD :

1.  **Finalités** : Déterminées, explicites et légitime ;
1.  **Fondement** : Licéité du traitement et interdiction du détournement de finalité ;
1.  **Minimisation des données** : Adéquates, pertinentes et limitées ;
1.  **Qualité des données** : Exactes et tenues à jour ;
1.  **Durées de conservation** : Limitées ;
1.  **Information des personnes concernées** : Traitement loyal et transparent ;
1.  **Recueil du consentement** ;
1.  **Exercice des droits d'accès** ;
1.  **Exercice des droits de rectification** ;
1.  **Exercice des droits de limitation** ;
1.  **Exercice des droits à la portabilité** ;
1.  **Exercice des droits d'effacement** ;
1.  **Exercice des droits d'opposition** ;
1.  **Sous-traitance** : Identifiée et contractualisée ;
1.  **Transferts** : Respect des obligations en matière de transfert des données en dehors de l'Union Européenne.

Pour chacun de ces critères, il est possible de dire si le traitement est conforme ou non-conforme. C’est-à-dire si l’obligation réglementaire est respectée ou non.

``Rappel : Pour le cas particulier du recueil du consentement, si la base légale n'est pas le consentement, il faut considérer que l'obligation est respectée.``

À chaque critère non conforme, il est proposé d'affecter une ou plusieurs actions de protection. Celles-ci peuvent être choisies dans la liste ou ajoutées avec le bouton « **+** ».

``À noter : Il est préférable que les actions choisies soient planifiées. Un critère ayant une action non planifiée sera considéré comme non-conforme majeure.``

Une fois les actions de protection planifiées et affectées aux différents points non-conformes, le [plan d'actions](#Plan-d’actions) permet de les mettre en œuvre et de suivre leur réalisation.

#### Modifier un traitement

Afin de pouvoir vérifier la conformité des critères, le contenu du traitement est affiché en dessous. Il est alors possible de compléter ou de corriger le traitement directement depuis l'évaluation de celui-ci.

### Gestion des évaluations

Lorsqu'une plusieurs actions de protection sont réalisées, dans la liste de conformité des traitements, un icône bleu d'exclamation « **!** » est positionné devant le traitement. Il informe que des actions de protections ont été appliquées (liste au survol de la souris).

![Affichage des actions appliquées](images/Madis-Liste-De-Conformite-Des-Traitements-Action-Realisee.png)

En cliquant sur « **Évaluer** », il est possible de prendre connaissance de l'évolution des critères impactés par la mise en œuvre d'actions de protection.

Si une action de protection associée à un ou plusieurs principes fondamentaux **n'est pas planifiée**, un icône orange d'exclamation « **!** » apparaîtra. Il est alors possible de consulter au survol de celui-ci, la liste des actions nécessitant d'être planifiées.

Si une action de protection associée à un ou plusieurs principes fondamentaux **a été appliquée**, un icône bleu d'exclamation « **!** » apparaîtra. Il est alors possible de consulter au survol de celui-ci, la liste des actions ayant été appliquées. Ces actions sont alors automatiquement retirées de la liste des actions associées.

![Affichage des actions appliquées et non planifiées](images/Madis-Evaluation-Du-Traitement-Action-Realisée-Et-Non-Planifiee.png)

Il convient donc à présent de reconsidérer le niveau de conformité du ou des critères concernés :
* « **Conforme** » si la réalisation de l'action de protection permet à présent de considérer le critère comme conforme.
* « **Non conforme** » si la réalisation de l'action ne permet pas de considérer le critère comme conforme. Affecter alors une nouvelle action de protection.

Ce module permet donc, par itération successive, de faire tendre les traitements vers leur conformité complète.

# Module conformité de l'organisation

Ce module permet, par itération successive, de faire tendre l'ensemble de la structure vers la mise en conformité complète. L'évaluation de l'organisation doit être réalisée régulièrement, idéalement une fois par an. Chaque pilote a la responsabilité de faire augmenter le score de son processus.

Le module conformité de l'organisation est optionnel et peut être activé dans une structure par le DPD (compte administrateur). Consulter l'[activation du module conformité de l'organisation](#Activation-du-module-conformité-de-l’organisation) pour plus d'information.

L'activation du module ajoute l'élément « **Conformité de l'organisation** » dans le menu ainsi que l'indicateur sur le tableau de bord de la structure de la progression de conformité des processus.

![Indicateur de la conformité de l'organisation](images/Madis-Indicateur-Conformite-De-L-Organisation.png)

## Conformité de l'organisation

Le menu « **Conformité de l'organisation** » permet de consulter la conformité de l'organisation et de l'évaluer.

Il est possible d'identifier et de nommer un responsable par processus que l'on nomme « **Pilote** ».  Une personne peut être responsable de plusieurs processus.

![Liste des pilotes et de la conformité de l'organisation](images/Madis-Liste-De-Conformite-De-L-Organisation.png)

Il est possible d'effectuer plusieurs actions :

- « **Générer une impression** » permet de générer le diagnostic de la dernière évaluation de la conformité de l'organisation au format Word ;
- « **Enregistrer** » permet d'enregistrer les informations saisies ou modifiées pour les pilotes ;
- « **Nouvelle évaluation de l'organisation** » permet de procéder à l'évaluation de l'organisation ;
- « **Imprimer** » permet de générer un diagnostic de l'évaluation au format Word ;
- « **Modifier** » permet de modifier les informations d'une évaluation. Cette action est possible tant que l'évaluation est en brouillon ;
- « **Supprimer** » permet de supprimer définitivement l'évaluation. **Cette action est irréversible**.

### Nouvelle évaluation de l'organisation

« **Nouvelle évaluation de l'organisation** » permet de procéder à l'évaluation de l'organisation.

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

![Évaluation de l'organisation](images/Madis-Evaluation-De-L-Organisation.png)

Il est possible d'effectuer plusieurs actions :

- « **Retourner à la liste** » permet de quitter l'évaluation en ne prenant pas en compte les informations saisies ou modifiées ;
- « **Soumettre** » permet de terminer l'évaluation et d'actualiser les notes de conformité du tableau avec les pilotes. Il n'est pas possible de modifier une évaluation terminée ;
- « **Enregistrer un brouillon** » permet de quitter l'évaluation en prenant en compte les informations saisies ou modifiées. Les informations d'une évaluation en brouillon ne sont pas prises en compte dans le calcul de la conformité ;
- « **Ajouter un participant** » permet d'ajouter un participant. Les informations du ou des participants sont repris dans l'impression de l'évaluation ;

#### Contexte

Il est nécessaire de définir les éléments de contexte :

* Date de l'évaluation ;
* Les personnes présentes et leur fonction.

Il est nécessaire que le plus haut niveau hiérarchique de la structure soit associé à cette démarche. Une évaluation réalisée en présence du DGS, du Maire, du RSSI aura beaucoup plus de valeur.

``Astuce : « Ajouter un participant » permet d'ajouter un participant. Il est possible d'ajouter autant de participant que souhaité.``

![Contexte de l'évaluation de l'organisation](images/Madis-Evaluation-De-L-Organisation-Contexte.png)

#### Évaluation de l'organisation

Dans l'évaluation de l'organisation, il est possible d'évaluer la conformité de chaque processus en répondant à un ensemble de questions appelées pratiques. Un processus est donc composé de plusieurs pratiques. Suivant la réponse aux pratiques, un score par processus sera calculé.

Pour chaque pratique, il est possible de répondre par l'une des réponses suivantes :

* **Non concerné** : La ou les pratiques ne concernent pas la structure. Il est nécessaire de justifier ce choix. La pratique n'est alors pas prise en compte dans le calcul de la note du processus ;
* **Inexistante** : Rien n'est réalisé ;
* **Très éloignée** : La ou les pratiques sont très éloignées de la définition (<20 %) ;
* **Partielle** : La ou les pratiques sont partielles (20 % < pratique < 80 %) au regard de la définition. Elles ne sont pas documentées ;
* **Quasi conforme** : La ou les pratiques sont conformes ou quasi conformes à la définition (20 % < pratique < 100 %) ;
* **Mesurable** : La ou les pratiques sont conformes à la définition. Elles sont documentées et contrôlables dans le cas d’un audit ;
* **Révisée** : La ou les pratiques sont coordonnées et conformes à la définition. Des évaluations sont réalisées. Des améliorations sont systématiquement apportées à partir de l’analyse des évaluations effectuées.

``Astuce : La précision de l'échelle de valeur est consultable au survol de la réponse.``

Pour chaque processus, il est proposé d'affecter une ou plusieurs actions de protection. Celles-ci peuvent être choisies dans la liste ou ajoutées avec le bouton « **+** ».

**Il n'est pas possible de modifier une évaluation qui a été soumise.**

# Module AIPD

Le Module Analyse d’Impact sur la Protection des Données à caractère personnel (AIPD) permet d’instruire une AIPD sur un traitement et permet de générer les documents nécessaires pour démontrer la conformité.

Le module d’Analyse d’Impact sur la Protection des Données à caractère personnel (AIPD) est visible quand le module conformité des traitements est activé par le DPD (compte administrateur). Consulter l'[activation du module AIPD](#Activation-du-module-AIPD) pour plus d'information.

L'activation du module ajoute l'élément « **Analyse d'impacts** » dans le menu ainsi que l'indicateur sur le tableau de bord de la structure du nombre d'AIPD à réaliser.

![Nombre d'AIPD à réaliser](images/Madis-Nombre-AIPD-A-Realiser.png)

De plus, l'activation du module ajoute l'élément « **Dernière analyse d'impact réalisée** » dans la visualisation d'un traitement. « **Modifier l'AIPD** » permet de modifier l'AIPD si celle-ci n'a pas été validée.

![Dernière analyse d'impact réalisée dans la visualisation du traitement](images/Madis-Visualiser-Un-Traitement-AIPD.png)

## Analyse d'impacts

Le menu « **Analyse d'impacts** » permet de consulter la liste des Analyses d’Impacts sur la Protection des Données à caractère personnel (AIPD) à valider et terminées.

![Liste des analyses d'impacts](images/Madis-Liste-Des-Analyses-D-Impacts.png)

Il est possible d'effectuer plusieurs actions :

- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Imprimer** » permet de générer une analyse d'impact au format PDF ;
- « **Modifier** » permet de modifier les informations d'une AIPD. Cette action est possible tant que l'AIPD n'est pas validée ;
- « **Valider** » permet de valider l'instruction de l'AIPD. Cette action est possible tant que l'AIPD n'est pas validée ;
- « **Supprimer** » permet de supprimer définitivement l'AIPD. **Cette action est irréversible**.

Un traitement doit faire l’objet d’une AIPD si :

- Une AIPD a été réalisée, mais n’est plus valable par l'une des causes suivantes :
	- Elle date de plus de x ans ;
	- Le traitement a été modifié sur un des points suivants : 
		- Finalités ;
		- Données collectées ;
		- Destinataires ;
		- Durée de conservation ;
- Le traitement est sur la liste des AIPD obligatoires ;
- Le traitement n’est pas sur la liste des traitements dérogatoire ;
- Il y a au moins 2 critères parmi les 8 traitements spécifiques et les données sensibles :
	- Révélant l’origine prétendument raciale ou ethnique ;
	- Portant sur les opinions politiques, philosophiques ou religieuses ;
	- Relatives à l’appartenance syndicale ;
	- Concernant la santé ou l’orientation sexuelle ;
	- Génétiques ou biométriques.

### Instruction d’un dossier d’AIPD

L’instruction d’une nouvelle AIPD démarre depuis la liste de conformité des traitements consultable par le menu « **Conformité des traitements** ».

**Il est nécessaire d’avoir réalisé l’évaluation de la conformité du traitement pour pouvoir réaliser une AIPD sur celui-ci.**

![Liste de conformité des traitements](images/Madis-Liste-De-Conformite-Des-Traitements.png)

« **Réaliser une AIPD** » permet de créer l’instruction d’une AIPD sur le traitement. Si une AIPD existe déjà pour ce traitement et n’est pas validée, le bouton est alors « **Modifier l'AIPD** ».

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

#### Choix du modèle

L’instruction d’une AIPD commence par le choix du modèle.

![Choix du modèle](images/Madis-Liste-Des-Modeles-D-Analyse.png)

Il est possible d'effectuer plusieurs actions :

- « **Retourner à la liste** » permet de quitter l'AIPD en ne prenant pas en compte les informations saisies ;
- « **Choisir ce modèle** » permet de choisir le modèle sélectionné et de passer à l'étape suivante. Une fois le modèle choisi, il n’est plus possible de revenir en arrière.

``Astuce : En cas d’erreur lors du choix du modèle, il est possible de supprimer l'AIPD dans la liste des AIPD et d'en recréer une.``

#### Étape 1 : Description

Cette étape permet de vérifier la conformité des critères relatifs à la description du traitement.

![Étape 1 : Description](images/Madis-Realiser-Une-AIPD-Etape-1.png)

Pour chacun des critères listés, indiquer la réponse parmi les propositions suivantes :

- **Non conforme** ;
- **Conforme** ;
- **Non applicable** : Le critère n’est pas pris en compte dans le calcul de la conformité.

Il est possible d’apporter une justification et de joindre un fichier.

Un seul fichier peut être déposé par critère, d'une taille maximale définie dans l'administration et seuls les formats images sont autorisés (.jpg ; .jpeg ; .png).

Il est possible d'effectuer plusieurs actions :

- « **Retourner à la liste** » permet de quitter l'AIPD en ne prenant pas en compte les informations saisies ou modifiées ;
- « **Suivant** » permet de passer à l'étape suivante.

#### Étape 2 : Conformité

Cette étape permet de prendre connaissance des informations renseignées par l'évaluation de la conformité du traitement (niveau de conformité et actions de protection associées).

![Étape 2 : Conformité](images/Madis-Realiser-Une-AIPD-Etape-2.png)

Pour chacun des critères listés, justifier le contexte de chaque critère pour lequel le champ « **Justificatif** » est présent.

Il est possible d'effectuer plusieurs actions :

- « **Retourner à la liste** » permet de quitter l'AIPD en ne prenant pas en compte les informations saisies ou modifiées ;
- « **Précédent** » permet de passer à l'étape précédente ;
- « **Suivant** » permet de passer à l'étape suivante.

#### Étape 3 : Gestion des risques

Cette étape permet de prendre connaissance des informations renseignées par l'évaluation de conformité du traitement (niveau de conformité et actions de protection associées).

![Étape 3 : Gestion des risques](images/Madis-Realiser-Une-AIPD-Etape-3.png)

Pour chacun des scénarios de menace définis par le modèle choisi, indiquer la vraisemblance et/ou la gravité des menaces ainsi que le DIC (Disponibilité ; Intégrité ; Confidentialité). Il est possible d'apporter une précision pour justifier les différents choix.

Il est possible d'effectuer plusieurs actions :

- « **Retourner à la liste** » permet de quitter l'AIPD en ne prenant pas en compte les informations saisies ou modifiées ;
- « **Précédent** » permet de passer à l'étape précédente ;
- « **Suivant** » permet de passer à l'étape suivante.

#### Étape 4 : Mesures

Cette étape permet d'évaluer la mise en œuvre des mesures de protection associées à chaque scénario de menace.

![Étape 4 : Mesures](images/Madis-Realiser-Une-AIPD-Etape-4.png)

Pour chacune des mesures, indiquer le niveau de satisfaction. Il est possible d'apporter une précision pour justifier les différents choix.

Il est possible d'effectuer plusieurs actions :

- « **Retourner à la liste** » permet de quitter l'AIPD en ne prenant pas en compte les informations saisies ou modifiées ;
- « **Précédent** » permet de passer à l'étape précédente ;
- « **Suivant** » permet de passer à l'étape suivante.

#### Étape 5 : Évaluation

Cette étape d’aide à la décision permet de prendre connaissance de la synthèse des éléments saisis dans les étapes précédentes.

**C’est la dernière étape avant le passage en validation.** 

![Étape 5 : Évaluation](images/Madis-Realiser-Une-AIPD-Etape-5.png)

Plusieurs indicateurs sont disponibles :

* L'évaluation des principes fondamentaux ;
* L'évaluation des mesures de sécurité ;
* Les risques résiduels et couverts ;
* La cartographie des risques résiduels en positionnant leur gravité résiduelle et leur vraisemblance résiduelle ;
* La liste de conformité des critères relatifs à la description du traitement ainsi que l'évaluation de la conformité du traitement ;
* La liste des scénarios de menace avec leur impact potentiel et résiduel.

Il est possible d'effectuer plusieurs actions :

- « **Retourner à la liste** » permet de quitter l'AIPD en ne prenant pas en compte les informations saisies ou modifiées ;
- « **Passer en validation** » permet de passer à l'étape finale de l'AIPD pour rendre les avis. Le passage à l'étape finale ajoute dans la liste des AIPD, une action « **Valider** » pour valider l'instruction de l'AIPD ;
- « **Enregistrer un brouillon** » permet de quitter l'AIPD en prenant en compte les informations saisies ou modifiées.

#### Valider une AIPD

Cette étape finale permet de valider l'instruction de l'AIPD.

![Valider une AIPD](images/Madis-Realiser-Une-AIPD-Valider-L-AIPD.png)

Dans l'avis des acteurs, il est obligatoire de renseigner les éléments suivants :

* **Date** : Date de l'avis de l'acteur ;
* **Réponse** : Précise l'avis de l'acteur selon les choix suivants :
	* **Pas de réponse** : Ne se prononce pas, ou l’avis de cet acteur n’a pas été sollicité.
    * **Favorable** : Le traitement peut être mis en œuvre sans exigences conservatoires.
    * **Favorable avec réserve(s)** : Le traitement peut être mis en œuvre si les exigences conservatoires listées sont respectées.
    * **Défavorable** : Le traitement ne peut pas être mis en œuvre ;
* **Détail** : Justification du choix de la réponse  ;

Il est possible d'effectuer plusieurs actions :

- « **Retourner à la liste** » permet de quitter l'AIPD en ne prenant pas en compte les informations saisies ou modifiées ;
- « **Valider l'AIPD** » permet de valider l'instruction de l'AIPD ;
- « **Enregistrer un brouillon** » permet de quitter l'AIPD en prenant en compte les informations saisies ou modifiées.

# Administration

Cette partie est réservée aux administrateurs, c'est-à-dire, principalement les Délégués à la Protection des Données (DPD). Le profil « référent multi-collectivité » a également accès au tableau de bord administrateur, mais seulement dans la limite de son périmètre d'action.

## Tableau de bord administrateur

Le tableau de bord administrateur permet d'avoir des indications plus avancées sur l'utilisation de Madis par l'ensemble des structures utilisatrices.

![Tableau de bord administrateur](images/Madis-Tableau-De-Bord-Administrateur.png)

Plusieurs indicateurs sont disponibles :

* La moyenne d'actions planifiées ;
* La moyenne de preuves déposées dans l'espace « **Documents** » ;
* Le nombre en pourcentage de structures ayant déposé dans Madis, dans l'espace « **Documents** », un document avec le type « Bilan » au cours des 12 derniers mois ;
* Le nombre de structures, en pourcentage, ayant fait un indice de maturité dans Madis au cours des 12 derniers mois ;
* La cartographie des structures accompagnées grâce à l'indication du code INSEE dans la [gestion des structures](#Gestion-des-structures) ;
* La répartition des structures en fonction de leur type identifié dans la [gestion des structures](#Gestion-des-structures) ;

``Astuce : Depuis la carte, au survol d'un territoire, il est possible de consulter la liste des structures identifiées dans celui-ci. Il est alors possible de consulter le nom de la structure, le nombre de traitements actifs et le nombre d'actions de protection.``

Il est possible d'exporter certaines informations au format Excel :

* « **Exporter les collectivités** » : Export comprenant toutes les informations enregistrées dans la [gestion des structures](#Gestion-des-structures) (Statut actif/inactif ; Nom ; SIREN ; Dernier utilisateur connecté ; Date de la dernière connexion ; ...) ainsi que les informations comprises dans le [module conformité de l'organisation](#Module-conformité-de-l’organisation) ;
* « **Exporter les traitements** » : Export comprenant toutes les informations enregistrées dans le [registre des traitements](#Le-registre-des-traitements) (Statut actif/inactif ; Date de dernière modification...) ainsi que les informations comprises dans le [module conformité des traitements](#Module-conformité-des-traitements) ;
* « **Exporter les sous-traitants** » : Export comprenant toutes les informations enregistrées dans le [registre des sous-traitants](#Le-registre-des-sous-traitants) (Nom du sous-traitant ; Clauses vérifiées ; Traitements associés ; ...) ;
* « **Exporter les actions de protection** » : Export comprenant toutes les informations enregistrées dans les [actions de protection](#Les-actions-de-protection) et dans le [plan d'actions](#Plan-d’actions) (Nom de l'action ; Statut ; Date de planification ; ...).

``Attention : Les exports, notamment pour le registre des traitements, peuvent être volumineux. L'export peut alors prendre un peu de temps.``

## Gestion des AIPD

Le module AIPD est visible quand le module conformité des traitements est activé. Consulter l'[activation du module AIPD](#Activation-du-module-AIPD) pour plus d'information.

### Modèles d'analyse

Le menu « **Modèle d'analyse** » permet de consulter la liste des modèles d'AIPD et d'en ajouter.

![Liste des modèles d'AIPD](images/Madis-Liste-Des-Modeles-D-Analyse.png)

Il est possible d'effectuer plusieurs actions :

- « **+ Nouveau modèle** » permet d'ajouter un nouveau modèle ;
- « **+ Importer un modèle** » permet d'importer un modèle d'AIPD. Seul un fichier au format XML peut être importé ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Modifier** » permet de modifier les informations d'un modèle. La modification de celui-ci n’entraîne pas la modification du modèle utilisé dans un AIPD en cours de réalisation ou réalisée ;
- « **Droits** » permet de choisir la ou les structures pouvant utiliser le modèle. Par défaut, un modèle n’a aucun droit, il est donc nécessaire après la création d'un modèle, d’aller choisir les structures autorisées à l’utiliser ;
- « **Exporter** » permet d'exporter le modèle au format XML ;
- « **Supprimer** » permet de supprimer définitivement le modèle. La suppression d’un modèle n’entraîne pas la suppression des AIPD réalisées à partir de celui-ci. **Cette action est irréversible**.

``Rappel : Lorsqu'un modèle est utilisé pour la réalisation d'une AIPD, celui-ci sera complètement dissocié. Le modèle principal pourra donc être modifié ou supprimé sans impacter l'instruction d'une AIPD en cours de réalisation ou réalisé.``

### Mesures de protection

Le menu « **Mesure de protection** » permet de consulter la liste des mesures de protection et d'en ajouter.

![Liste des mesures de protection](images/Madis-Liste-Des-Mesures-De-Protection.png)

Il est possible d'effectuer plusieurs actions :

- « **+ Nouvelle mesure** » permet d'ajouter une nouvelle mesure ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Modifier** » permet de modifier les informations d'une mesure de protection ;
- « **Supprimer** » permet de supprimer définitivement la mesure de protection. **Cette action est irréversible**.

## Registre Public

Il est possible pour une structure de disposer d'une page, non authentifiée, à destination du grand public et affichant les traitements qu'elle souhaite rendre visible. Cette page peut être intégrée dans un site web sous forme d'iframe ou de lien externe.

![Liste des traitements publics](images/Madis-Liste-Des-Traitements-Publics.png)

L'URL est constituée du **nom de domaine Madis**, suivie de « **/public/traitements/liste/"** » et terminée par le **numéro de la structure** souhaitée.

Exemple : madis-exemple.fr/public/traitements/liste/e611ec51-8031-4492-98bc-05254959f708

Le numéro de la structure est constitué d'une suite de chiffres et de lettres séparés par des tirets. Il peut être trouvé dans l'URL lors de la consultation ou la modification d'une structure.

![URL du numéro de la structure](images/Madis-Structure-ID.png)

Le menu « **Configuration des traitements** » permet de configurer les champs des traitements consultables par le grand public. Les informations des éléments cochés seront rendus publics pour les traitements publics. Cette configuration est globale pour toutes les structures.

![ Configurer les traitements ](images/Madis-Configurer-Les-Traitements.png)

## Gestion de l'espace documentaire

Le menu « **Espace documentaire** » permet de consulter la liste des documents et liens partagés par les DPD **pour l'ensemble des structures**.

Les DPD sont amenés à mettre à disposition de la documentation à destination des structures qu’ils accompagnent dans leur mise en conformité au RGPD. Qu’il s’agisse de newsletter, exemple de clauses contractuelles, vidéo de sensibilisation, articles de la CNIL...

**Attention : il ne s'agit pas d'un espace regroupant les documents déposés comme preuves. Ce sont des modules distincts.**

![Espace documentaire administrateur](images/Madis-Espace-Documentaire-Grille-Administrateur.png)

Il est possible d'effectuer plusieurs actions :

- « **+ Nouveau document** » permet d'ajouter un nouveau fichier ou un nouveau lien ;
- « **Catégories documentaires** » permet de consulter la liste des catégories de documents ;
- « **Afficher en liste** » ou « **Afficher en grille** » permettent d'afficher les documents sous forme de liste ou sous forme de grille ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel. Cette action n'est disponible que lorsque l'affichage est sous forme de liste ;
- « **Partager** » permet de partager le lien vers un document. Cependant, seuls les utilisateurs ayant un compte Madis pourront accéder au document ;
- « **Modifier** » permet de modifier les informations d'un document ;
- « **Supprimer** » permet de supprimer définitivement le document. **Cette action est irréversible**.

``Astuce : Lors de l'ajout ou de la modification d'un document, il est possible de l'épingler. Un document épinglé se retrouve alors en tête de liste pour tous les utilisateurs.``

Il est possible de filtrer les documents affichés, notamment par catégorie. Lorsque plusieurs catégories sont sélectionnées, seuls les documents appartenant à toutes ces catégories sont affichés.

``Astuce : Il est possible de mettre des fichiers en favoris en cliquant sur l'étoile. Cependant, mettre un document en favoris avec le compte DPD ne le met pas en favoris pour les utilisateurs.``

Dans chaque module, un bouton « **Ressources utiles** » permet d'accéder aux documents déposés dans l'espace documentaire lié à la catégorie de ce module. **Le bouton n'est visible que si au moins un document a été déposé dans cette catégorie.**

![Bouton ressources utiles dans la liste des demandes](images/Madis-Liste-Des-Demandes-Bouton-Ressources-Utiles.png)

### Ajouter un fichier

« **+ Nouveau document** » puis « **Nouveau fichier** » permet d'ajouter un nouveau fichier.

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

![Ajouter un fichier](images/Madis-Ajouter-Un-Document-Fichier.png)

#### Fichier

Dans le fichier, il est possible de renseigner les éléments suivants :

* **Nom du document** : Intitulé du document ;
* **Fichier du document** : Document à partager. Un seul fichier peut être déposé à la fois, d'une taille maximale définie dans l'administration et seuls les formats images, vidéos, audios et documents sont autorisés ;
* **Vignette** : Vignette mise en avant lors de l'affichage des documents sous forme de grille. Un seul fichier peut être déposé à la fois, d'une taille maximale définie dans l'administration et seuls les formats images sont autorisés ;
* **Épinglé** : permet d'épingler un fichier important à mettre en avant. Un document épinglé se retrouve alors en tête de liste pour tous les utilisateurs jusqu'à ce qu'il soit désépinglé.

Les fichiers autorisés sont :

- Images : .jpg, .jpeg, .png ;
- Audios : .mp3, .m4a, .ogg, .wav ;
- Vidéos : .mp4, .mov, .wmv, .avi, .mpg, .ogv, .ogg, .webm ;
- Documents : .pdf, .doc, .docx, .odt, .ppt, .pptx, .odp, .xls, .xlsx, .xlsm, ods.

#### Catégories

Il est possible de lier le fichier à une ou plusieurs catégories. Les catégories listées peuvent être gérées dans les [catégories documentaires](#Catégories-documentaires). Si un document est lié à une catégorie système, un bouton apparaît dans le module en question permettant de rediriger vers les documents liés à la catégorie du module.

### Ajouter un lien

« **+ Nouveau document** » puis « **Nouveau lien** » permet d'ajouter un nouveau lien.

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

![Ajouter un lien](images/Madis-Ajouter-Un-Document-Lien.png)

#### Lien

Dans lien, il est possible de renseigner les éléments suivants :

* **Nom du document** : Intitulé du document ;
* **URL du document** : URL du document à partager ;
* **Vignette** : Vignette mise en avant lors de l'affichage des documents sous forme de grille. Un seul fichier peut être déposé à la fois, d'une taille maximale définie dans l'administration et seuls les formats images (.jpg, .jpeg, .png) sont autorisés ;
* **Épinglé** : permet d'épingler un lien important à mettre en avant. Un document épinglé se retrouve alors en tête de liste pour tous les utilisateurs jusqu'à ce qu'il soit désépinglé.

#### Catégories

Il est possible de lier le lien à une ou plusieurs catégories. Les catégories listées peuvent être gérées dans les [catégories documentaires](#Catégories-documentaires). Si un document est lié à une catégorie système, un bouton apparaît dans le module en question permettant de rediriger vers les documents liés à la catégorie du module.

### Catégories documentaires

« **Catégories documentaires** » permet de consulter la liste des catégories de documents.

![Liste des catégories de documents](images/Madis-Liste-Des-Categories-Documentaires.png)

Il existe deux types de catégorie :

- Les catégories systèmes (Exemple : Traitement, Sous-traitant, …) ;
- Les catégories créées par le DPD.

Les  catégories systèmes ne peuvent pas être supprimées. Elles font référence aux différents modules de Madis. Quand un document ou un lien est lié à une catégorie système, un bouton apparaît dans le module en question. Celui-ci redirige dans l'espace documentaire vers les documents liés à la catégorie du module.

Le DPD peut créer autant de catégories de document que nécessaire.

Il est possible d'effectuer plusieurs actions :

- « **+ Ajouter une catégorie** » permet d'ajouter une nouvelle catégorie de document ;
- « **Tous les fichiers** » permet de consulter la liste des documents ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Modifier** » permet de modifier le nom d'une catégorie créée par le DPD ;
- « **Supprimer** » permet de supprimer définitivement la catégorie créée par le DPD. **Cette action est irréversible**.

## Module de duplication

Le menu « **Module de duplication** » permet de dupliquer une ou plusieurs données (un traitement, un sous-traitant ou une action de protection) enregistrées dans une structure pour l'intégrer à une ou plusieurs autres structures.

![Module de duplication](images/Madis-Module-Duplication.png)

Le module de duplication sert à dupliquer une ou plusieurs données (un traitement actif ou inactif, un sous-traitant ou une action de protection) enregistrée dans une structure pour l'intégrer à une ou plusieurs autres structures. 

``Astuce : Il est possible d'utiliser ctrl pour sélectionner plusieurs éléments à dupliquer.``

Il est possible d'effectuer plusieurs actions :

- « **Annuler la dernière duplication** » permet d'annuler la dernière duplication ;
- « **Dupliquer** » permet de dupliquer les éléments sélectionnés.

## Gestion des structures

Le menu « **Collectivités** » permet de consulter la liste des structures qui ont été créées dans Madis et d'en ajouter.

![Liste des structures](images/Madis-Liste-Des-Structures.png)

Il est possible d'effectuer plusieurs actions :

- « **+ Nouvelle collectivité** » permet d'ajouter une nouvelle structure ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Modifier** » permet de modifier les informations d'une structure ;
- « **Supprimer** » permet de supprimer définitivement la structure. La suppression de la structure n'est possible que s'il n'y a plus d'utilisateur. **Cette action est irréversible**.

``Astuce : Il est possible de visualiser les informations d'une structure en cliquant sur son nom. Lors de la consultation de celui-ci, un bouton d'action « Modifier » permet de modifier les informations de la structure.``

Outre les éléments de [paramétrage d'une collectivité](#Paramétrage--Ma-collectivité), il est possible d'activer ou de désactiver les modules [conformité des traitements](#Activation-du-module-conformité-des-traitements), [conformité de l'organisation](#Activation-du-module-conformité-de-l’organisation), [AIPD](#Activation-du-module-AIPD) et le module [services](#Activation-du-module-Services-et-Habilitations).

``Rappel : Les informations générales et l’adresse de la structure ne sont pas modifiables par un utilisateur gestionnaire.``

![Ajouter d'une structure](images/Madis-Ajouter-Une-Structure.png)

### Activation du module conformité des traitements

Le module conformité des traitements est optionnel et peut être activé par structure en cochant la case « **Module conformité des traitements** ». Cette action est réalisable par le DPD (compte administrateur) dans l'édition de la structure.

Consulter le [module conformité des traitements](#Module-conformité-des-traitements) pour plus d'information.

![Activation du module conformité des traitements](images/Madis-Activation-Module-Conformite-Des-Traitements.png)

### Activation du module conformité de l'organisation

Le module conformité de l'organisation est optionnel et peut être activé par structure en cochant la case « **Module conformité de l'organisation** ». Cette action est réalisable par le DPD (compte administrateur) dans l'édition de la structure.

Consulter le [module conformité de l’organisation](#Module-conformité-de-l’organisation) pour plus d'information.

![Activation du module conformité de l'organisation](images/Madis-Activation-Module-Conformite-De-L-Organisation.png)

### Activation du module AIPD

Le module d’Analyse d’Impact sur la Protection des Données à caractère personnel (AIPD) est visible quand le module conformité des traitements est activé dans l'administration de la structure. Consulter l'[activation du module conformité des traitements](#Activation-du-module-conformité-des-traitements) pour plus d'information.

Consulter le [module AIPD](#Module-AIPD) pour plus d'information.

En tant qu'administrateur, l'activation du module ajoute les éléments de paramétrages « **Modèle d'analyse** » et « **Mesure de protection** ».

### Activation du module Services et Habilitations

Le module services est optionnel et peut être activé par structure en cochant la case « **Activation des services** ». Cette action est réalisable par le DPD (compte administrateur) dans l'édition de la structure.

La gestion par service permet de restreindre la modification des éléments des différents registres (traitements, sous-traitants, demandes, violations) qu'aux membres d'un service donné. Il est alors possible de gérer les différents services de la structure.

``À noter : Un élément associé à un service sera toujours visible par tous.``

![Activation du module services et habilitations](images/Madis-Activation-Module-Services-Et-Habilitations.png)

L'activation du module ajoute un élément « **Services et Habilitations** » dans le profil des utilisateurs de la structure. Consulter la [gestion des services et habilitations](#Gestion-des-Services-et-Habilitations) pour plus d'information. 

![Services et habilitations dans le profil utilisateur](images/Madis-Ajouter-Un-Utilisateur-Module-Services-Et-Habilitations.png)

De plus, lors de l'ajout ou de la modification d'un élément dans les différents registres, l'activation du module ajoute un champ « **Service** » permettant de restreindre l'élément au service sélectionné.

![Champ Service dans un traitement](images/Madis-Ajouter-Un-Traitement-Service.png)

## Gestion des utilisateurs

Le menu « **Utilisateurs** » permet de consulter la liste des utilisateurs et d'en ajouter.

![Liste des utilisateurs](images/Madis-Liste-Des-Utilisateurs.png)

Il est possible d'effectuer plusieurs actions : 

- « **+ Nouvel utilisateur** » permet d'ajouter un nouvel utilisateur ;
- « **Voir les utilisateurs archivés** » permet d'accéder aux utilisateurs archivés. Un utilisateur archivé ne pourra plus se connecter à Madis ;
- « **Exporter** » permet d'extraire la liste des éléments filtrés dans l'affichage au format Excel ;
- « **Se connecter** » permet de se connecter en tant que l'utilisateur sélectionné. Il aura ainsi accès à la vue de l'utilisateur ;
- « **Modifier** » permet de modifier les informations d'un utilisateur ;
- « **Supprimer** » permet de supprimer définitivement le traitement. **Cette action est irréversible**.

``À noter : Le module de journalisation enregistre les actions qu'un utilisateur réalise lorsqu'il est connecté en tant que.``

### Ajouter un utilisateur

« **+ Nouvel utilisateur** » permet d'ajouter un nouvel utilisateur.

**Pour rappel, dans le formulaire, les champs précédés d’un astérisque « * » sont obligatoires.**

![Ajouter un utilisateur](images/Madis-Ajouter-Un-Utilisateur.png)

#### Informations générales

Dans les informations générales, il est possible de renseigner les éléments suivants :

* **Prénom** ;
* **Nom** ;
* **E-mail** : L’adresse mail renseignée ne doit pas déjà avoir été utilisée par un autre compte ;
* **Collectivité** : Choix de la structure ;
* **Role** : Gestion des droits ;
* **Accès aux Webservices (API)** : permet de choisir si l'utilisateur peut être accédé ou non par les webservices (API). Consulter l'[API](#API) pour plus d'information ;
* **Actif** : Le statut actif est coché par défaut. Un utilisateur inactif sera archivé et il ne pourra plus se connecter à Madis.

Il est possible de choisir l'un des rôles suivant :

- **Lecteur** : L'utilisateur peut consulter les informations comprises dans Madis. Il peut générer des bilans et faire des impressions, mais ne peut modifier les informations ;
- **Gestionnaire** : L'utilisateur peut consulter et modifier tout ce qui se trouve dans Madis pour sa structure ;
- **Administrateur** : L'utilisateur peut consulter et modifier tout ce qui se trouve dans Madis pour toutes les structures ;
- **Référent multi-collectivité** : L'utilisateur peut voir et modifier tout ce qui se trouve dans Madis pour les structures pour lesquels il est référent. Cependant, il ne peut pas créer ou modifier de nouvelles structures ni d'utilisateurs ou modifier son propre profil utilisateur (en ajoutant des structures dans son champ d'action).

#### Informations facultatives

Il est possible de renseigner un mot de passe pour l'utilisateur.

Par défaut, les règles de sécurité du mot de passe sont les suivantes :
* 14 caractères ;
* Au moins une lettre majuscule et minuscule ;
* Au moins un chiffre et un caractère spécial.

### Gestion des Services et Habilitations

Le module services et habilitations est optionnel et peut être activé dans une structure par le DPD (compte administrateur). Consulter l'[activation du module services et habilitations](#Activation-du-module-Services-et-Habilitations) pour plus d'information.

Dans le profil d'un utilisateur, l'élément « **Services et Habilitations** » permet de l'associer à un ou plusieurs services. Si un utilisateur n’est affecté à aucun service, celui-ci peut modifier l’ensemble des éléments. Et inversement si un utilisateur est lié à au moins un service, celui-ci ne pourra alors modifier que les éléments associés à son service.

``À noter : Un administrateur ne sera pas restreint qu'il soit associé à un service ou non.``

![Services et habilitations dans le profil utilisateur](images/Madis-Ajouter-Un-Utilisateur-Module-Services-Et-Habilitations.png)

``Astuce : Il est possible d'utiliser ctrl pour sélectionner plusieurs services à la fois.``

## Journalisation

Le menu « **Journalisation** » permet d'historiser toutes les actions réalisées par les utilisateurs dans Madis.

Madis associant un ID à chaque personne, même si la personne change de nom, elle ne peut pas changer d'ID, ni le nom enregistré précédemment. Il est donc possible de remonter l'historique afin de savoir ce qu'il s'est passé dans Madis.

![Journalisation des actions](images/Madis-Journalisation-Des-Actions.png)

## Sécurité

Outre la [journalisation](#Journalisation), il est possible de configurer des éléments de sécurité pour la connexion à Madis via des variables d'environnement. Il est possible de définir une limite du nombre de tentatives de connexion, d'afficher ou masquer le champ « **Se souvenir de moi** », ainsi que de préciser la politique de mot de passe.

Par défaut, les règles de sécurité du mot de passe sont les suivantes :
* 14 caractères ;
* Au moins une lettre majuscule et minuscule ;
* Au moins un chiffre et un caractère spécial.

## Paramètres de configuration

Variables d'environnement à configurer dans le fichier « **.env** » à la racine de Madis :

```
APP_APPLICATION_NAME="Madis"
# Idle time is 1,5 hours in seconds
APP_COOKIE_IDLE_TIMEOUT=5400
# Cookie lifetime is 4 hours in seconds
APP_COOKIE_LIFETIME=14400
APP_DEFAULT_REFERENT="Référent RGPD"
APP_DPO_ADDRESS_CITY="Saintes"
APP_DPO_ADDRESS_STREET="2 rue des Rochers"
APP_DPO_ADDRESS_ZIP_CODE="17100"
APP_DPO_CIVILITY=m
APP_DPO_FIRST_NAME=
APP_DPO_LAST_NAME="DPD Soluris"
APP_DPO_COMPANY=Soluris
APP_DPO_JOB="Délégué à la Protection des Données"
APP_DPO_MAIL=rgpd@soluris.fr
APP_DPO_PHONE_NUMBER=0546923999
APP_ENV=dev
APP_FOOTER_PROVIDER_NAME=SOLURIS
APP_FOOTER_PROVIDER_URL="https://example.fr"
APP_IMAGE_FAVICON_PATH="images/logo_madis_2020_favicon.png"
APP_IMAGE_SIDEBAR_BOTTOM_TARGET_URL="https//example.fr"
APP_IMAGE_SIDEBAR_BOTTOM_PATH="images/soluris-logo-white.png"
APP_IMAGE_SIDEBAR_REDUCED_PATH="images/logo_madis_2020_favicon.png"
APP_IMAGE_LOGO_BLANC="images/logo_madis_2020_blanc.png"
APP_IMAGE_LOGO_COULEUR="images/logo_madis_2020_couleur.png"
APP_COMMUNE_SVG_REDUCED_PATH="images/commune.svg"
APP_IMPERSONATE_CREATOR_IS_ADMIN=0
APP_MAIL_RECEIVER_DEV=~
APP_MAIL_SENDER_EMAIL=nepasrepondre@soluris.fr
APP_MAIL_SENDER_NAME="Madis"
APP_SECRET=a98f56b9ea67f189df8ed6a39c548503
# lifetime duration for log journal
APP_LOG_JOURNAL_DURATION=6months
# number of lines displayed in the user dashboard for journalisation list
APP_USER_DASHBOARD_JOURNALISATION_LIMIT=15
# number of lines displayed in the user dashboard for action plan list
APP_USER_DASHBOARD_ACTION_PLAN_LIMIT=10
# number of lines displayed for each datatable
APP_DATATABLE_DEFAULT_PAGE_LENGTH=15
# Password security configuration
# password minimum length
APP_PASSWORD_REQUIRE_MIN_LENGTH=14
# if true, the password requires uppercase AND lowercase character
APP_PASSWORD_REQUIRE_CASE_DIFF=true
# if true, the password requires atleast 1 letter
APP_PASSWORD_REQUIRE_LETTERS=true
# if true, the password requires atleast 1 number
APP_PASSWORD_REQUIRE_NUMBERS=true
# if true, the password requires atleast 1 special character (&!?, etc)
APP_PASSWORD_REQUIRE_SPECIAL_CHARACTERS=true

# global maximum upload size for file uploads
APP_MAX_UPLOAD_SIZE=4M
# Maximum number of login attempts before the user account is deactivated
APP_MAX_LOGIN_ATTEMPTS=10
APP_NOTIFICATION_MAX_SHOWN=5
APP_NOTIFICATION_DASHBOARD_SHOWN=false

# Show notification icon in header
APP_ACTIVATE_NOTIFICATIONS=false

#TRUSTED_PROXIES=127.0.0.1,127.0.0.2
#TRUSTED_HOSTS=localhost,example.com

###> CONFORMITE ORGANISATION TOOLTIP ###
###> Value used to display in tooltip in the form for the evaluation of the Conformité Organisation ###
TOOLTIP_CONFORMITE_ORGANISATION_INEXISTANTE="Rien n'est fait"
TOOLTIP_CONFORMITE_ORGANISATION_TRES_ELOIGNEE="La ou les pratique(s) sont très éloignées de la définition (Pratique < 20 %)."
TOOLTIP_CONFORMITE_ORGANISATION_PARTIELLE="La ou les pratique(s) sont partielles (20 % < Pratique > 80 %) au regard de la définition.<br/>Elles ne sont pas documentées."
TOOLTIP_CONFORMITE_ORGANISATION_QUASI_CONFORME="La ou les pratiques sont conformes ou quasiment conforme à la définition (80 % < Pratique > 100 %)."
TOOLTIP_CONFORMITE_ORGANISATION_MESURABLE="La ou les pratiques sont conforme à la définition.<br/>Elles sont documentées et contrôlables dans le cas d'un audit."
TOOLTIP_CONFORMITE_ORGANISATION_REVISEE="La ou les pratiques sont coordonnées et conforme à la définition.<br/>Des évaluations sont réalisées.<br/>Des améliorations sont systématiquement apportées à partir de l'analyse des évaluations effectuées. "

# For Gmail as a transport, use: "gmail://username:password@localhost"
# For a generic SMTP server, use: "smtp://localhost:25?encryption=&auth_mode="
# Delivery is disabled by default via "null://localhost"
MAILER_URL=gmail://username:password@localhost

WKHTMLTOPDF_PATH=/usr/local/bin/wkhtmltopdf
WKHTMLTOIMAGE_PATH=/usr/local/bin/wkhtmltoimage

```

# API

Les fonctionnalités suivantes sont disponibles via API :
- Collectivité (lecture) ;
- Demandes (lecture/écriture) ;
- Traitements (lecture).

À l'édition d'un utilisateur, l'administrateur a la possibilité de choisir si l'utilisateur peut être accédé ou non par les webservices (API).

![Accès aux Webservices (API)](images/Madis-Ajouter-Un-Utilisateur-API.png)

Pour en savoir plus, [accéder aux API Madis](https://madis-test.soluris.fr/api/docs).

# Annexes

## Conformité de l'organisation

### Définitions des 12 processus

#### 1. Responsabilités

Définir et communiquer aux personnes concernées la politique générale de protection des données de l'entreprise. Définir, mettre en œuvre et réexaminer la politique de gestion des données (processus, ressources, mesures). S’assurer que la politique de gestion des données est communiquée, comprise et appliquée au sein de l’entreprise.

#### 2. Traitements et transferts de données

Disposer d’un registre des activités de traitement à jour. S'assurer que les mesures de conformité des traitements de données à caractère personnel sont effectivement prises en compte en cas de traitements nouveaux ou modifiés. Gérer les transferts de données.

#### 3. Droits de la personne concernée

S'assurer que l'information est concise pour l'exercice des droits par la personne concernée. Disposer de procédures internes fiables pour répondre aux demandes des personnes concernées.

#### 4. Sous-traitants

En tant que responsable du traitement, s'assurer de la conformité des contrats de sous-traitance. Si l'entreprise agit en tant que sous-traitant, s'assurer que le responsable du traitement a pris en compte ses obligations.

#### 5. Protection des données dès la conception

Garantir que la gestion des droits de la personne concernée et la sécurité des données sont prises en compte dès la phase de conception du projet et durant son cycle de vie. Maîtriser la conformité du produit ou du service aux exigences du RGPD au travers de vérifications, de validations et de revues de conception planifiée.

#### 6. Gestion des mesures de sécurité

S'assurer de la mettre en œuvre des mesures de protection sélectionnées afin de répondre aux objectifs de disponibilité, d’intégrité et de confidentialité des données à caractère personnel. Détecter les incidents de sécurité pouvant avoir pour conséquence une violation de données.

#### 7. Analyse d'impacts sur la protection des données

Réaliser une analyse d'impact sur la protection des données lorsque le traitement est susceptible d’engendrer un risque élevé pour les droits et libertés ou lorsqu'une partie intéressée demande une preuve de conformité.

#### 8. Sensibiliser, former et communiquer

S'assurer que le personnel à qui ont été affectées les responsabilités définies dans le système de management des données à caractère personnel, a les compétences nécessaires pour exécuter les tâches requises. S'assurer que tout le personnel approprié a conscience de la pertinence et de l'importance de ses activités liées aux traitements des données à caractère personnel.

#### 9. Exigences, sollicitations, violations, poursuites

Connaître la réglementation applicable et ses évolutions. Être en capacité de répondre à des sollicitations ou à des poursuites. Réagir en cas de violations de données.

#### 10. Évaluer et auditer

À intervalles réguliers, vérifier que le système de management des données à caractère personnel est conforme à la politique définie. Apporter la preuve que les traitements effectués par le responsable du traitement et les sous-traitants sont conformes au règlement.

#### 11. Gérer de la documentation et des preuves

Gérer le patrimoine documentaire attaché à la protection des données. Établir et conserver des enregistrements pour apporter la preuve des mesures techniques et organisationnelles.

#### 12. Piloter le Système de Management des Données à Caractère Personnel (SMDCP)

Disposer d'indicateurs pour piloter l'efficacité des processus du SMDCP. Produire le bilan (rapport) annuel.

----

**[Soluris](https://www.soluris.fr/)** 2 rue des Rochers, 17100 Saintes. Tel. 05 46 92 73 51 dpd@soluris.fr
